Docs
Get Schedule Block Types
GET /schedule-block-types
GET
/schedule-block-typesLists the schedule block types that a need's schedule blocks are typed by. Archived types are included and are not offered for new blocks. Requires ResourceTypeDatabase.Read.
Response
Type: GetScheduleBlockTypeResponse[]
GetScheduleBlockTypeResponse
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null | |
| label | string| null | |
| icon | string| null | |
| color | string| null | |
| defaultResourceStateId | uuid| null | |
| isArchived | boolean |